Bug 172010 - mail-notification aborts on opening the preferences dialog
mail-notification aborts on opening the preferences dialog
Product: Fedora
Classification: Fedora
Component: mail-notification (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Thorsten Leemhuis
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2005-10-28 22:33 EDT by Yanko Kaneti
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-11-05 15:39:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Yanko Kaneti 2005-10-28 22:33:46 EDT
Description of problem:
mail-notification 2.0-5 aborts on Edit->Preferences with:

mail-notification-CRITICAL **: signal handler
"mn_properties_dialog_remove_clicked_h" not found

The gist of it is that since glib2 removed -Wl,--export-dynamic from
gmodule-2.0.pc libglade cannot glade_xml_signal_autoconnect

for more info on this

Some ways to fix it, from short and dirty to more elaborate:
- export CFLAGS="-Wl,--export-dynamic" before the build
- patch mail-notification to explicitly require gmodule-export-2.0
- patch mail-notification to not use glade_xml_signal_autoconnect
Comment 1 Yanko Kaneti 2005-10-28 23:56:43 EDT
Hm, my slightly bad, actually gmodule-2.0 still contains export-dynamic, but the
gtk stack has changed to using gmodule-no-export-2.0
Comment 2 Thorsten Leemhuis 2005-11-05 15:39:14 EST
thx for the report. Updated mail-notification was build and should be pushed out
soon. I used "export CFLAGS="-Wl,--export-dynamic" for now and hope to fix that
correctly later. 

Note You need to log in before you can comment on or make changes to this bug.